Page MenuHomeSolus

Update bullet3 to 2.87
ClosedPublic

Authored by kyrios123 on Dec 6 2017, 12:14 PM.

Details

Summary

Release notes available here

Signed-off-by: Pierre-Yves <pyu@riseup.net>

Test Plan

Successfully build openmw and efl against this version.
Note: solbuild had a problem with the current source of efl so I used version 1.20.6

Diff Detail

Repository
R467 bullet3
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

kyrios123 created this revision.Dec 6 2017, 12:14 PM

If you've tested openmw and efi against this as well as built them, this looks good to me.

package.yml
8

The most nit pickiest thing ever. According to SPDX the licence should be Zlib

Also I guess upstream doesn't support newer lua yet?

kyrios123 updated this revision to Diff 3849.Dec 6 2017, 4:39 PM
  • Fix Zlib licence code
  • Remove lua build dependency as it doesn't seem to be used (I made a build without lua, with lua 5.1 and with lua 5.3 and all of them were identical)
kyrios123 updated this revision to Diff 3850.Dec 6 2017, 4:48 PM

clsocket lib should not be static

Successfully build openmw and efl against this version.

Should have openmw as a stack item then.

JoshStrobl accepted this revision.Dec 7 2017, 9:31 PM
This revision is now accepted and ready to land.Dec 7 2017, 9:31 PM
kyrios123 added a subscriber: DataDrake.EditedDec 7 2017, 9:44 PM

Should have openmw as a stack item then.

I did not put openmw in the stack because it can be built against the version that is currently in the repo (@DataDrake asked me to only do it when mandatory)

EDIT: can I push it or should I wait for efl to be also approved before doing it ?

This revision was automatically updated to reflect the committed changes.